﻿using UnityEngine;

public class AntObject
{
	public AntObject(Anthill anthill, Vector3 position)
	{
		this.anthill = anthill;
		this.position = position;
	}

	public AntObject(Anthill anthill, GameObject prefab, Vector3 position)
	{
		this.anthill = anthill;
		this.position = position;
		sprite = GameObject.Instantiate(prefab, position, Quaternion.identity);
	}

	public Anthill getAnthill()
	{
		return anthill;
	}

	public GameObject getSprite()
	{
		return sprite;
	}

	public Vector3 getPosition()
	{
		return position;
	}

	public void setPosition(Vector3 position)
	{
		this.position = position;
	}

	public Thought getThought()
	{
		return thought;
	}

	virtual public void setThought(Thought thought)
	{
		this.thought = thought;
	}

	protected Anthill anthill;
	protected GameObject sprite;
	protected Vector3 position;
	protected Thought thought;
}
