﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Audio;

public class MusicController : MonoBehaviour {

	public AudioClip[] clips;
	private AudioSource audioSource;

	private AudioClip GetRandomClip ()
	{
		return clips[Random.Range(0,clips.Length)];
	}


	// Use this for initialization
	void Start () {
		audioSource = FindObjectOfType<AudioSource> ();
		audioSource.loop = false;
	}
	
	// Update is called once per frame
	void Update () {
		if (!audioSource.isPlaying)
		{
			audioSource.clip = GetRandomClip ();
			audioSource.Play ();
		}
	}
}

